#### recycling_allocator::rebind::other

The rebound `allocator` type.

    typedef recycling_allocator< U > other;

###### Types

Name | Description
--- | ---
rebind | Rebind the allocator to another value_type.
value_type | The type of object allocated by the recycling allocator.

###### Member Functions

Name | Description
--- | ---
allocate | Allocate memory for the specified number of values.
deallocate | Deallocate memory for the specified number of values.
operator!= | Inequality operator. Always returns false.
operator== | Equality operator. Always returns true.
recycling_allocator [constructor] | Default constructor. — Converting constructor.

The uses a simple strategy where a limited number of small memory blocks are cached in thread-local storage, if the current thread is running an `io_context` or is part of a `thread_pool`.

###### Requirements

Header: `asio/recycling_allocator.hpp`

Convenience header: `asio.hpp`